<div [formGroup]="projectSkills">
  <div class="form-group" [customErrorMessages]="customErrorMessages">
    <label for="skills" class="lbl req">Skills</label>
    <angular2-multiselect
      [data]="dropdownList"
      [settings]="dropdownSettings"
      (onOpen)="onOpen()"
      (onSelect)="onItemSelect($event)"
      (onDeSelect)="OnItemDeselect($event)"
      (onDeSelectAll)="onDeselectAll()"
      formControlName="skills"
    >
      <c-search>
        <ng-template>
          <input
            type="text"
            (input)="onSearch($event)"
            placeholder="Search"
            style="border: none; width: 100%; height: 100%; outline: none;"
            #searchInput
          />
        </ng-template>
      </c-search>
    </angular2-multiselect>
  </div>

  <div *ngFor="let control of hours.controls; let i = index">
    <app-skill-hours [allEmployees$]="allEmployees$" [index]="i" [skill]="control" (deselect)="deselectSkill($event)"></app-skill-hours>
  </div>
</div>
